<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:j2ee="http://java.sun.com/xml/ns/j2ee">
	<servlet>
		<servlet-name>hessionServlet</servlet-name>
		<servlet-class>CoreFS.SA01.CoreHesssianService</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>hessionServlet</servlet-name>
		<url-pattern>/hessian.ao</url-pattern>
	</servlet-mapping>

	<servlet>
		<servlet-name>SQL</servlet-name>
		<servlet-class>
			CoreFS.SA08.CoreSqlServlet
		</servlet-class>
		<load-on-startup>2</load-on-startup>
	</servlet>
	<!--  
	<servlet>
	    <description>sem_trust</description>
	    <display-name>sem_trust</display-name>
	    <servlet-name>sem_trust_Servlet</servlet-name>
	    <servlet-class>core.mcms.common.McmsServlet</servlet-class>
	    <load-on-startup>5</load-on-startup>
  	</servlet>
  	-->
	<!-- 配合Spring容器中Hessian一起工作的Servlet-->
	<servlet>
		<servlet-name>remoting</servlet-name>
		<servlet-class>
			org.springframework.web.servlet.DispatcherServlet
		</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>remoting</servlet-name>
		<url-pattern>/remoting/*</url-pattern>
	</servlet-mapping>

	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>WEB-INF/beans.xml</param-value>
	</context-param>

	<listener>
		<listener-class>
			org.springframework.web.context.ContextLoaderListener
		</listener-class>
	</listener>

	<servlet>
		<servlet-name>CXFServlet</servlet-name>
		<servlet-class>
			org.apache.cxf.transport.servlet.CXFServlet
		</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>

	<servlet-mapping>
		<servlet-name>CXFServlet</servlet-name>
		<url-pattern>/*</url-pattern>
	</servlet-mapping>
	

 
	<resource-ref>
		<res-ref-name>jdbc/CoreFS</res-ref-name>
		<res-type>javax.sql.DataSource</res-type>
		<res-auth>Container</res-auth>
	</resource-ref> 
 <welcome-file-list>
    <welcome-file>index.jsp</welcome-file>
  </welcome-file-list>

</web-app>